@use '@angular/material' as mat;
@include mat.core();

$primary-palette: (
  50: #b9faa8,
  100: #a0f68a,
  200: #8cea74,
  300: #7adc62,
  400: #6dd154,
  500: var(--primary-color),
  600: #52ac3c,
  700: #4fa03a,
  800: #478f35,
  900: #3b782b,
  contrast: (
    50: var(--primary-color),
    100: var(--primary-color),
    200: var(--primary-color),
    300: var(--primary-color),
    400: var(--primary-color),
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
  ),
);

$accent-palette: (
  50: #fac474,
  100: #ffbd5b,
  200: #fbbc5d,
  300: #ffb950,
  400: #fcb954,
  500: var(--accent-color),
  600: #fbaf3c,
  700: #f7a934,
  800: #f8a427,
  900: #fba21c,
  contrast: (
    50: var(--accent-color),
    100: var(--accent-color),
    200: var(--accent-color),
    300: var(--accent-color),
    400: var(--accent-color),
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
  ),
);

$warn-palette: (
  50: #f68486,
  100: #f46d6f,
  200: #f55b5d,
  300: #f54447,
  400: #eb3033,
  500: var(--warn-color),
  600: #d12528,
  700: #c32225,
  800: #b62023,
  900: #a81e21,
  contrast: (
    50: var(--warn-color),
    100: var(--warn-color),
    200: var(--warn-color),
    300: var(--warn-color),
    400: var(--warn-color),
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
  ),
);

$shade: 500;

$warn-theme: mat.define-palette($warn-palette, $shade);
$accent-theme: mat.define-palette($accent-palette, $shade);
$primary-theme: mat.define-palette($primary-palette, $shade);
$theme: mat.define-light-theme($primary-theme, $accent-theme, $warn-theme);

@include mat.all-component-themes($theme);
